# DevopsHelper

DevOpsHelper is meant to standardize the workflow, specificially gem release, in simplified and easy to use Rake task.

Basically the typical workflow are:
1. Check in source code
2. Edit version.rb
3. Build the gem
4. Add to git and tag the release
5. Push gem file to rubygems

Sure there can have more such as integration with Continous Integration automated test etc. However that's my basic workflow as of now.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'devops_helper'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install devops_helper

This is a set or Rake task haven't found automated way to include into the project Rakefile. Therefore manual intervention is required. 

In order to complete the installation, need to add the following into the project Rakefile

```ruby
require 'devops_helper'
```
## Usage

It runs as typical Rake task:

    $ rake devops:gem_release

Then follow the prompt until it is done.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/devops_helper. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/chrisliaw/devops_helper/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the DevopsHelper project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/chrisliaw/devops_helper/blob/master/CODE_OF_CONDUCT.md).
